SCROLLKEEPER-REBUILDDB(8)

NAME
scrollkeeper-rebuilddb - rebuild the scrollkeeper document catalog database

SYNOPSIS
scrollkeeper-rebuilddb [-p path ] [-v] [-q]

DESCRIPTION
This rebuilds the ScrollKeeper database from the original OMF metadata files and documents. Under normal situations, this tool is not necessary. It is useful however if the database becomes corrupt, which could be caused by interruption of ScrollKeeper during an update of the database. Errors and warnings are logged to /var/log/scrollkeeper.log.

OPTIONS

-p path
    Use path as the ScrollKeeper database directory.

-v  Verbose. Show warnings and error messages in addition to logging them to /var/log/scrollkeeper.log.

-q  Run in quiet mode, suppressing output of all but the most serious warning and error messages to STDOUT. Note that most output to the log file will be unchanged.

FILES
/var/lib/scrollkeeper/scrollkeeper_docs
/var/lib/scrollkeeper/TOC/<docnumber>
/var/lib/scrollkeeper/<locale>/scrollkeeper_cl.xml
/var/lib/scrollkeeper/<locale>/scrollkeeper_extended_cl.xml
/var/log/scrollkeeper.log

AUTHOR
Laszlo Kovacs <laszlo.kovacs@sun.com>
Dan Mueth <d-mueth@uchicago.edu>

SEE ALSO
scrollkeeper-config(1), scrollkeeper-gen-seriesid(1), scrollkeeper.conf(5), scrollkeeper(7), scrollkeeper-preinstall(8), scrollkeeper-update(8)